> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sync Preview

> Get a preview of GFEs that can be synced from SpaKinect for a location.

Returns GFEs categorized as:
- already_imported: GFEs that are already in our system
- matched: GFEs that match a local patient (can be imported)
- unmatched: GFEs that don't match any local patient (cannot be imported)



## OpenAPI

````yaml get /spakinect/gfe/location/{location_id}/sync-preview
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /spakinect/gfe/location/{location_id}/sync-preview:
    get:
      tags:
        - provider
        - spakinect
      summary: Get Sync Preview
      description: >-
        Get a preview of GFEs that can be synced from SpaKinect for a location.


        Returns GFEs categorized as:

        - already_imported: GFEs that are already in our system

        - matched: GFEs that match a local patient (can be imported)

        - unmatched: GFEs that don't match any local patient (cannot be
        imported)
      operationId: get_sync_preview_spakinect_gfe_location__location_id__sync_preview_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: location_id
          in: path
          required: true
          schema:
            type: string
            title: Location Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GFESyncPreviewResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GFESyncPreviewResponse:
      properties:
        alreadyImported:
          items:
            $ref: '#/components/schemas/GFESyncPreviewAlreadyImported'
          type: array
          title: Alreadyimported
          default: []
        matched:
          items:
            $ref: '#/components/schemas/GFESyncPreviewMatched'
          type: array
          title: Matched
          default: []
        unmatched:
          items:
            $ref: '#/components/schemas/GFESyncPreviewUnmatched'
          type: array
          title: Unmatched
          default: []
      type: object
      title: GFESyncPreviewResponse
      description: Response from sync preview endpoint
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GFESyncPreviewAlreadyImported:
      properties:
        spakinectGfeId:
          type: string
          title: Spakinectgfeid
        status:
          $ref: '#/components/schemas/GFEStatus'
        patientDetails:
          $ref: '#/components/schemas/SpaKinectPatientInfo'
        localGfeId:
          type: string
          title: Localgfeid
        pdfLink:
          anyOf:
            - type: string
            - type: 'null'
          title: Pdflink
      type: object
      required:
        - spakinectGfeId
        - status
        - patientDetails
        - localGfeId
      title: GFESyncPreviewAlreadyImported
      description: GFE that is already imported in our system
    GFESyncPreviewMatched:
      properties:
        spakinectGfeId:
          type: string
          title: Spakinectgfeid
        status:
          $ref: '#/components/schemas/GFEStatus'
        patientDetails:
          $ref: '#/components/schemas/SpaKinectPatientInfo'
        requestedTreatments:
          items:
            type: string
          type: array
          title: Requestedtreatments
          default: []
        matchedPatient:
          $ref: '#/components/schemas/MatchedPatient'
        pdfLink:
          anyOf:
            - type: string
            - type: 'null'
          title: Pdflink
      type: object
      required:
        - spakinectGfeId
        - status
        - patientDetails
        - matchedPatient
      title: GFESyncPreviewMatched
      description: GFE that matches a local patient and can be imported
    GFESyncPreviewUnmatched:
      properties:
        spakinectGfeId:
          type: string
          title: Spakinectgfeid
        status:
          $ref: '#/components/schemas/GFEStatus'
        patientDetails:
          $ref: '#/components/schemas/SpaKinectPatientInfo'
        requestedTreatments:
          items:
            type: string
          type: array
          title: Requestedtreatments
          default: []
        pdfLink:
          anyOf:
            - type: string
            - type: 'null'
          title: Pdflink
      type: object
      required:
        - spakinectGfeId
        - status
        - patientDetails
      title: GFESyncPreviewUnmatched
      description: GFE that doesn't match any local patient
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GFEStatus:
      type: string
      enum:
        - Intake
        - Processing
        - Pending Review
        - Waiting
        - Approved
        - Rejected
        - Completed
        - Not Completed
        - Cancelled
        - Cancelled by client
      title: GFEStatus
      description: Status values for Good Faith Exam visits from SpaKinect API
    SpaKinectPatientInfo:
      properties:
        firstName:
          type: string
          title: Firstname
        lastName:
          type: string
          title: Lastname
        dob:
          anyOf:
            - type: string
            - type: 'null'
          title: Dob
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
      type: object
      required:
        - firstName
        - lastName
      title: SpaKinectPatientInfo
      description: Patient info from SpaKinect GFE for sync preview
    MatchedPatient:
      properties:
        id:
          type: string
          title: Id
        firstName:
          type: string
          title: Firstname
        lastName:
          type: string
          title: Lastname
        dob:
          anyOf:
            - type: string
            - type: 'null'
          title: Dob
      type: object
      required:
        - id
        - firstName
        - lastName
      title: MatchedPatient
      description: Local patient that matched a SpaKinect GFE

````